## rpl 1.6.1

=== Makefile ===
# Makefile for rpl

all: rpl.1

clean:
	rm -f rpl.1

rpl.1: Makefile rpl man-include.1
	help2man --locale=C.UTF-8 --no-info --name="replace strings in files" --include man-include.1 ./rpl > rpl.1

## rpl 1.5.1

=== debian/changelog ===
rpl (1.5.1) unstable; urgency=low

  * Quiet mode no longer asks for confirmation to replace with the empty
    string. That very prompt also had the logic reversed. Thanks to
    simon raven <simon@nuit.ca> for the patch. (Closes: #257533)

 -- Göran Weinholt <weinholt@debian.org>  Sun,  4 Jul 2004 05:43:28 +0200

rpl (1.5.0) unstable; urgency=low

  * Liberated! Rewritten as a python script and uploaded to main.
  * Recursion works now. (Closes: #250684)

 -- Göran Weinholt <weinholt@debian.org>  Fri, 18 Jun 2004 22:57:50 +0200

rpl (1.4.0-2) unstable; urgency=low

  * New maintainer (closes: #239961).
  * Fixed errors in man page (closes: #180524).
  * debian/rules: Switched over to CDBS.
  * Remove /usr/doc/rpl symlink.

 -- Göran Weinholt <weinholt@debian.org>  Mon,  5 Apr 2004 13:04:04 +0200

rpl (1.4.0-1) unstable; urgency=low

  * New upstream release

 -- Aubin Paul <aubin@debian.org>  Wed, 24 Jul 2002 14:02:38 -0400

rpl (1.3.0b3-1) unstable; urgency=low

  * Initial Release. (Closes: #90468)

 -- Aubin Paul <aubin@debian.org>  Wed, 20 Mar 2002 15:54:51 -0500

=== debian/control ===
Source: rpl
Section: utils
Priority: optional
Maintainer: Göran Weinholt <weinholt@debian.org>
Build-Depends: debhelper (>= 4), cdbs, python-dev
Standards-Version: 3.6.1

Package: rpl
Architecture: all
Depends: ${python:Depends}
Description: intelligent recursive search/replace utility
 rpl is a UN*X text replacement utility. It will replace strings with
 new strings in multiple text files. It can work recursively over 
 directories and supports limiting the search to specific file 
 suffixes.

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/python-distutils.mk

## rpl 1.5.2

=== debian/changelog ===
rpl (1.5.2) unstable; urgency=low

  * Do not follow symlinks. Fixes the problem with symlink loops. Thanks
    to Johannes Berg <johannes@sipsolutions.net> for reporting this bug.
    (Closes: #296918).
  * Ignore hidden files and directories unless the -a/--all argument is
    given. Thanks to Michael Schuerig <michael@schuerig.de> for
    reporting this bug. (Closes: #314538)
  * debian/control: Update to Standards-Version: 3.6.2 (no changes).
  * Updated GPL v2 (COPYING and the address in the copyright notices)
    from base-files.

 -- Göran Weinholt <weinholt@debian.org>  Sun, 31 Jul 2005 15:45:36 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Göran Weinholt <weinholt@debian.org>
 Build-Depends: debhelper (>= 4), cdbs, python-dev
-Standards-Version: 3.6.1
+Standards-Version: 3.6.2
 
 Package: rpl
 Architecture: all

## rpl 1.5.3

=== debian/changelog ===
rpl (1.5.3) unstable; urgency=low

  * Used force instead of opts.force. Thanks to Martin Sarsale for the
    report (closes: #347419).

 -- Göran Weinholt <weinholt@debian.org>  Mon, 13 Mar 2006 11:07:48 +0100

## rpl 1.5.4

=== debian/changelog ===
rpl (1.5.4) unstable; urgency=low

  * New maintainer (closes: #388131).
  * Updated Standards-Version to 3.7.2.
  * Updated debian/control & rules for new Python policies

 -- Kevin Coyner <kevin@rustybear.com>  Mon, 18 Sep 2006 18:52:56 -0400

=== debian/control ===
Source: rpl
Section: utils
Priority: optional
Maintainer: Kevin Coyner <kevin@rustybear.com>
Build-Depends: debhelper (>= 5), cdbs (>= 0.4.43), python-dev, python-support (>= 0.3)
XS-Python-Version: all
Standards-Version: 3.7.2

Package: rpl
Architecture: all
Depends: ${python:Depends}
XB-Python-Version: ${python:Versions}
Description: intelligent recursive search/replace utility
 rpl is a UN*X text replacement utility. It will replace strings with
 new strings in multiple text files. It can work recursively over 
 directories and supports limiting the search to specific file 
 suffixes.

=== debian/rules ===
#!/usr/bin/make -f
DEB_PYTHON_SYSTEM=pysupport
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/python-distutils.mk

## rpl 1.5.7

=== debian/changelog ===
rpl (1.5.7-1) unstable; urgency=low

  * New upstream release. Fixes extra variable encodeen. (Closes: #842314). 

 -- Kevin Coyner <kcoyner@debian.org>  Sat, 29 Oct 2016 14:29:31 -0400

rpl (1.5.6-1) unstable; urgency=low

  * New upstream. This release migrates to python3 and fixes umlat in setup.py
    (Closes: #837943).
  * Acknowledge NMU (Closes: #615270).
  * Updated Standards-Version to 3.9.8 and debhelper 9.
  * Updated debian/compat to version 9.
  * Upgraded to packaging format "3.0 quilt".
  * New debian/watch file points to new upstream location.
  * Switched debian/rules from cdbs to dh-python.

 -- Kevin Coyner <kcoyner@debian.org>  Thu, 20 Oct 2016 07:04:49 -0400

rpl (1.5.5-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Build using dh-python instead of python-support.  Closes: #786109
  * Build-depend on python instead of python-dev, since it builds only one
    arch:all package.
  * Add dependency on ${misc:Depends}, so debhelper can do its work.
  * Move Homepage field to the source stanza.
  * Remove long useless debian/pycompat file.
  * Recode author name in setup.py in UTF-8, otherwise dh_python2 choke on it.
    And also because UTF-8 <=> \o/, everything else <=> /o\.

 -- Mattia Rizzolo <mattia@debian.org>  Mon, 14 Dec 2015 23:36:10 +0000

rpl (1.5.5-1) unstable; urgency=low

  * Uploaded original source files to SourceForge (rpl) in order to convert
    this package from a Debian native to a normal package.
  * Added homepage to debian/control.
  * Added debian/watch file.
  * Editorial changes in debian/control description and debian/copyright.
  * New e-mail address for maintainer. Changed in debian/* files.
  * Changed debian/control Builds-Depends: python-support (>= 0.5.3)

 -- Kevin Coyner <kcoyner@debian.org>  Sun, 12 Aug 2007 20:46:02 -0400

=== debian/control ===
Source: rpl
Section: python
Priority: optional
Maintainer: Kevin Coyner <kcoyner@debian.org>
Build-Depends: debhelper (>= 9), dh-python, python3-all, python3-setuptools
X-Python3-Version: >= 3.2
Standards-Version: 3.9.8
Homepage: https://github.com/kcoyner/rpl/

Package: rpl
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}
Description: intelligent recursive search/replace utility
 rpl is a text replacement utility. It will replace strings with new strings
 in multiple text files. It can work recursively over directories and supports
 limiting the search to specific file suffixes.

=== debian/rules ===
#! /usr/bin/make -f

#export DH_VERBOSE=1
export PYBUILD_NAME=rpl

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_test:

override_dh_auto_clean:
	rm -rf $(CURDIR)/rpl.egg-info/
	rm -rf $(CURDIR)/build
	dh_auto_clean

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/rpl-$1\.tar\.gz/ \
  https://github.com/kcoyner/rpl/tags .*/v?(\d\S+)\.tar\.gz

## rpl 1.6.1

=== debian/changelog ===
rpl (1.6.1-3) unstable; urgency=medium

  * QA upload.
  * Trying fix the CI test. Consequently,changed files inside debian/tests/.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sat, 17 Aug 2019 14:06:18 -0300

rpl (1.6.1-2) unstable; urgency=medium

  * QA upload.
  * debian/tests/:
      - Removed no longer needed files multibyte, replace-1.sh, replace-2.sh
        and directory text-dir.
      - Reviewed all tests. Using lorem.txt only.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sat, 10 Aug 2019 15:10:26 -0300

rpl (1.6.1-1) unstable; urgency=medium

  * QA upload.
  * New upstream version 1.6.1.
  * Set Debian QA Group as maintainer. (see #934276)

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Thu, 08 Aug 2019 22:36:09 -0300

rpl (1.6.0-1) unstable; urgency=medium

  * New upstream version 1.6.0. (Closes: #901821)
  * New upstream and new homepage.
  * debian/control:
      - Added help2man to Build-Depends field.
      - Improved package description.
  * debian/copyright:
      - Added new rights for upstream.
      - Changed upstream licensing from GPL-2+ to GPL-3+.
  * debian/patches/:
      - Removed all old patches. The upstream fixed the source code. Thanks!
      - Created 10_fix-manpage-generation.patch to add --no-discard-stderr
        option to help2man command.
  * debian/rules:
      - Added 'make clean' command to override_dh_auto_clean target.
      - Created override_dh_installman to generate and install the manpage.
  * debian/README.Debian: added to explain about some options removed by the
    new upstream.
  * debian/tests/: reviewed all tests to be compliant with the new upstream
    changes.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Thu, 08 Aug 2019 17:09:07 -0300

rpl (1.5.7-2) unstable; urgency=medium

  * New maintainer. (Closes: #929550)
  * Using new DH level format. Consequently:
      - debian/compat: removed.
      - debian/control: changed from 'debhelper' to 'debhelper-compat' in
        Build-Depends field and bumped level to 12.
  * debian/control:
      - Added VCS fields.
      - Bumped Standards-Version to 4.4.0.
      - Changed Section from Python to Utils.
      - Changed the description to reflect upstream changes.
      - Removed X-Python3-Version field.
  * debian/copyright:
      - Migrated to 1.0 format.
      - Updated all information.
  * debian/patches/:
      - 10_fix-version.patch: created to fix the upstream version.
      - 20_fix-spelling.patch: created to fix a spelling error in manpage.
      - 30_fix-spelling-rpl.patch: created to fix spelling errors in the main
        command.
  * debian/rpl.manpages:
      - Removed './' from content.
      - Renamed to manpages.
  * debian/rules: removed no longer needed override_dh_auto_test.
  * debian/tests/*: added to provide trivial tests.
  * debian/watch:
      - Bumped to version 4.
      - Improved the search rule.
      - Using "releases" link instead of "tag" to search for files.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sun, 04 Aug 2019 00:28:55 -0300

=== debian/control ===
Source: rpl
Section: utils
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper-compat (= 12),
               dh-python,
               help2man,
               python3-all,
               python3-setuptools
Standards-Version: 4.4.0
Homepage: https://github.com/rrthomas/rpl
Vcs-Browser: https://salsa.debian.org/debian/rpl
Vcs-Git: https://salsa.debian.org/debian/rpl.git

Package: rpl
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}
Description: replace strings in files
 rpl is an intelligent search and replacement utility. It will change strings
 with new strings in multiple text files at the same time.
 .
 rpl can verify, find  and edit several plain texts quickly.

=== debian/rules ===
#! /usr/bin/make -f
#export DH_VERBOSE=1

export PYBUILD_NAME=rpl

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_clean:
	rm -rf $(CURDIR)/rpl.egg-info/
	rm -rf $(CURDIR)/build
	make clean
	dh_auto_clean

override_dh_installman:
	make
	dh_installman

=== debian/tests/control ===
Test-Command: rpl --version

Test-Command: cp debian/tests/lorem.orig.txt debian/tests/lorem.txt; rpl Lorem L-O-R-E-M debian/tests/lorem.txt; egrep L-O-R-E-M debian/tests/lorem.txt && rm debian/tests/lorem.txt || exit 1
Restrictions: allow-stderr

Test-Command: cp debian/tests/lorem.orig.txt debian/tests/.lorem.txt; rpl -ibva Lorem L-O-R-E-M debian/tests/.lorem.txt; egrep L-O-R-E-M debian/tests/.lorem.txt && rm debian/tests/.lorem.txt || exit 1
Restrictions: allow-stderr

=== debian/watch ===
version=4
https://github.com/rrthomas/rpl/releases .*/archive/v?(\d\S+)\.tar\.(?:bz2|gz|xz)

## rpl 1.6.5

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,11 @@
 # Makefile for rpl
 
 all: rpl.1
+
+check:
+	./rpl --version && \
+	( cp lorem.orig.txt lorem.txt; ./rpl Lorem L-O-R-E-M lorem.txt; egrep L-O-R-E-M lorem.txt && rm lorem.txt || exit 1 ) && \
+	( cp lorem.orig.txt lorem.txt; ./rpl -iva Lorem L-O-R-E-M lorem.txt; egrep L-O-R-E-M lorem.txt && rm lorem.txt || exit 1 )
 
 clean:
 	rm -f rpl.1

=== debian/changelog ===
rpl (1.6.5-2) unstable; urgency=medium

  * Bump Standards-Version to 4.5.0.

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 23 Jan 2020 16:33:17 +0100

rpl (1.6.5-1) unstable; urgency=medium

  * New upstream release.
    - Drop patch 02-fixes-upstream-version.
  * Some packaging changes.
  * Adjust lintian overrides.
  * Update debian/copyright.
  * Add build dependency on python3-chardet.
    Closes: #947792

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 20 Jan 2020 15:43:22 +0100

rpl (1.6.3-2) unstable; urgency=medium

  * Adopt package.
    Closes: #934276

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 20 Jan 2020 12:08:40 +0100

rpl (1.6.3-1) unstable; urgency=medium

  * QA upload.
  * New upstream version 1.6.3.
  * debian/control:
      - Added 'Rules-Requires-Root: no' in source stanza.
      - Bumped Standards-Version to 4.4.1.
      - Reorganized long description.
  * debian/copyright: added new rights in debian/* block.
  * debian/patches/20_fixed_upstream_version.patch: created
      to fixed the upstream version program.
  * debian/salsa-ci.yml: added to provide CI tests for Salsa.
  * debian/watch: updated, using new variables.

 -- Thiago Andrade Marques <thmarques@gmail.com>  Sun, 10 Nov 2019 01:25:57 -0300

rpl (1.6.1-4) unstable; urgency=medium

  * QA upload.
  * debian/tests/control: cancelled two tests because rpl has a bad behaviour.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sun, 01 Sep 2019 14:39:34 -0300

=== debian/control ===
Source: rpl
Section: utils
Priority: optional
Maintainer: Patrick Matthäi <pmatthaei@debian.org>
Build-Depends: debhelper-compat (= 12),
 dh-python,
 help2man,
 python3-chardet,
 python3-all,
 python3-setuptools
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: https://github.com/rrthomas/rpl

Package: rpl
Architecture: all
Depends: ${python3:Depends},
 ${misc:Depends}
Description: replace strings in files
 rpl is an intelligent search and replacement utility. It will change
 strings with new strings in multiple text files at the same time.
 .
 rpl can verify, find and edit several plain texts quickly.

=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,4 @@
 #! /usr/bin/make -f
-#export DH_VERBOSE=1
 
 export PYBUILD_NAME=rpl

=== debian/watch ===
version=4
https://github.com/rrthomas/rpl/releases .*/archive/v?@ANY_VERSION@@ARCHIVE_EXT@

## rpl 1.7.1

=== Makefile ===
--- 
+++ 
@@ -5,7 +5,8 @@
 check:
 	./rpl --version && \
 	( cp lorem.orig.txt lorem.txt; ./rpl Lorem L-O-R-E-M lorem.txt; egrep L-O-R-E-M lorem.txt && rm lorem.txt || exit 1 ) && \
-	( cp lorem.orig.txt lorem.txt; ./rpl -iva Lorem L-O-R-E-M lorem.txt; egrep L-O-R-E-M lorem.txt && rm lorem.txt || exit 1 )
+	( cp lorem.orig.txt lorem.txt; ./rpl -iv Lorem L-O-R-E-M lorem.txt; egrep L-O-R-E-M lorem.txt && rm lorem.txt || exit 1 ) && \
+	( cp lorem.orig.txt lorem.txt; ./rpl -mv lorem loReM lorem.txt; egrep -i lorem lorem.txt && rm lorem.txt || exit 1 )
 
 clean:
 	rm -f rpl.1

=== debian/changelog ===
rpl (1.7.1-1) unstable; urgency=medium

  * New upstream release.
  * Remove unused lintian override.

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 25 Aug 2020 10:26:35 +0200

rpl (1.6.11-1) unstable; urgency=medium

  * New upstream release.

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 04 Aug 2020 10:29:59 +0200

rpl (1.6.10-1) unstable; urgency=medium

  * New upstream release.

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 21 Jul 2020 09:42:41 +0200

rpl (1.6.8-1) unstable; urgency=medium

  * New upstream release.
  * Overwrite lintian warning manpage-has-errors-from-man which is generated
    by help2man.

 -- Patrick Matthäi <pmatthaei@debian.org>  Fri, 10 Jul 2020 15:39:17 +0200

rpl (1.6.7-1) unstable; urgency=medium

  * New upstream release.
  * Bump debhelper-compat to level 13.

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 02 Jun 2020 10:14:30 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: utils
 Priority: optional
 Maintainer: Patrick Matthäi <pmatthaei@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
  dh-python,
  help2man,
  python3-chardet,

## rpl 1.8.0

=== Makefile ===
# Makefile for rpl

all: rpl.1

check:
	./rpl --version && \
	( cp lorem.orig.txt lorem.txt; ./rpl Lorem L-O-R-E-M lorem.txt; egrep L-O-R-E-M lorem.txt && rm lorem.txt || exit 1 ) && \
	( cp lorem.orig.txt lorem.txt; ./rpl -iv Lorem L-O-R-E-M lorem.txt; egrep L-O-R-E-M lorem.txt && rm lorem.txt || exit 1 ) && \
	( cp lorem.orig.txt lorem.txt; ./rpl -mv lorem loReM lorem.txt; egrep -i lorem lorem.txt && rm lorem.txt || exit 1 ) && \
	( cp lorem.orig.txt lorem.txt; ./rpl -v 'a[a-z]+' 'coffee' lorem.txt; egrep -i "coffee elit" lorem.txt && rm lorem.txt || exit 1 )

release:
	rm -rf ./dist
	mkdir dist
	python3 setup.py sdist bdist_wheel
	twine upload dist/*

clean:
	rm -f rpl.1

rpl.1: Makefile rpl man-include.1
	COLUMNS=999 help2man --locale=C.UTF-8 --no-info --name="replace strings in files" --include man-include.1 ./rpl > rpl.1

=== debian/changelog ===
rpl (1.8.0-2) unstable; urgency=medium

  * Bump Standards-Version to 4.5.1.
  * Adjust lintian overrides.

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 19 Nov 2020 15:00:29 +0100

rpl (1.8.0-1) unstable; urgency=medium

  * New upstream release.
    - Add new build dependency python3-argparse-manpage.
    - Drop patch 01-fix-manpage-generation.
    - Some required packaging adjustments in debian/rules.
  * Adjust lintian overrides.

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 10 Nov 2020 10:24:47 +0100

rpl (1.7.2-1) unstable; urgency=medium

  * New upstream release.

 -- Patrick Matthäi <pmatthaei@debian.org>  Fri, 04 Sep 2020 09:31:13 +0200

=== debian/control ===
--- 
+++ 
@@ -6,9 +6,10 @@
  dh-python,
  help2man,
  python3-chardet,
+ python3-argparse-manpage,
  python3-all,
  python3-setuptools
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: https://github.com/rrthomas/rpl

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME=rpl

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_install:
	$(MAKE) rpl.1
	dh_auto_install

## rpl 1.12

=== Makefile ===
# Makefile for rpl

all: rpl.1

check:
	./rpl --version && \
	( ./rpl Lorem L-O-R-E-M < lorem.txt | egrep L-O-R-E-M || exit 1 ) && \
	( ./rpl -iv Lorem L-O-R-E-M < lorem.txt | egrep L-O-R-E-M || exit 1 ) && \
	( ./rpl -mv lorem loReM < lorem.txt | egrep -i lorem  || exit 1 ) && \
	( ./rpl -v 'a[a-z]+' 'coffee' < lorem.txt | egrep -i "coffee elit" || exit 1 )

release:
	git diff --exit-code && \
	rm -rf ./dist && \
	mkdir dist && \
	python3 setup.py sdist bdist_wheel && \
	twine upload dist/* && \
	git tag v$$(python3 setup.py --version) && \
	git push --tags

clean:
	rm -f rpl.1

rpl.1: Makefile rpl man-include.1
	COLUMNS=999 help2man --locale=C.UTF-8 --no-info --name="replace strings in files" --include man-include.1 ./rpl > rpl.1

=== debian/changelog ===
rpl (1.12-1) unstable; urgency=medium

  * New upstream release.

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 25 Jan 2022 11:31:57 +0100

rpl (1.10-1) unstable; urgency=medium

  * New upstream release.
  * Adjust debian/watch URL.
  * Remove left over python3 directory.

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 06 Jan 2022 11:39:46 +0100

rpl (1.9.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/watch: Adjust github URL.
  * Bump Standards-Version to 4.6.0.

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 19 Aug 2021 11:22:18 +0200

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  python3-argparse-manpage,
  python3-all,
  python3-setuptools
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: https://github.com/rrthomas/rpl

=== debian/watch ===
version=4
opts= \
uversionmangle=s/~//;s/beta/~beta/;s/-pr/~pr/;s/rc/~rc/ \
https://github.com/rrthomas/rpl/tags .*/archive/refs/tags/v?@ANY_VERSION@@ARCHIVE_EXT@

## rpl 1.14

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # Makefile for rpl
 
-all: rpl.1
+all: rpl.1 README.md
 
 check:
 	./rpl --version && \
@@ -23,3 +23,9 @@
 
 rpl.1: Makefile rpl man-include.1
 	COLUMNS=999 help2man --locale=C.UTF-8 --no-info --name="replace strings in files" --include man-include.1 ./rpl > rpl.1
+
+README.md: rpl README.md.in Makefile
+	cp README.md.in README.md
+	printf '\n```\n' >> README.md
+	./rpl --help >> README.md
+	printf '```\n' >> README.md

=== debian/changelog ===
rpl (1.14-2) unstable; urgency=medium

  * Bump Standards-Version to 4.6.1.
  * Adjust renamed lintian tag name in override.

 -- Patrick Matthäi <pmatthaei@debian.org>  Wed, 14 Sep 2022 14:38:07 +0200

rpl (1.14-1) unstable; urgency=medium

  * New upstream release.
  * Update debian/copyright.

 -- Patrick Matthäi <pmatthaei@debian.org>  Fri, 06 May 2022 13:07:59 +0200

rpl (1.13-1) unstable; urgency=medium

  * New upstream release.

 -- Patrick Matthäi <pmatthaei@debian.org>  Fri, 11 Mar 2022 11:24:37 +0100

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  python3-argparse-manpage,
  python3-all,
  python3-setuptools
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: https://github.com/rrthomas/rpl

=== debian/rules ===
--- 
+++ 
@@ -8,3 +8,4 @@
 override_dh_auto_install:
 	$(MAKE) rpl.1
 	dh_auto_install
+	rm -rf $(CURDIR)/debian/rpl/usr/lib/python3/

## rpl 2.0.3

=== debian/changelog ===
rpl (2.0.3-1) unstable; urgency=medium

  * New upstream release.
    Closes: #1117846
    - rpl is rewritten in valac.
  * Update debian/copyright.
  * Bump Standards-Version to 4.7.2.
  * Adjust lintian overrides.

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 16 Oct 2025 11:47:20 +0200

=== debian/control ===
Source: rpl
Section: utils
Priority: optional
Maintainer: Patrick Matthäi <pmatthaei@debian.org>
Build-Depends: debhelper-compat (= 13),
 help2man,
 libglib2.0-dev,
 libuchardet-dev,
 valac
Standards-Version: 4.7.2
Rules-Requires-Root: no
Homepage: https://github.com/rrthomas/rpl

Package: rpl
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends}
Description: replace strings in files
 rpl is an intelligent search and replacement utility. It will change
 strings with new strings in multiple text files at the same time.
 .
 rpl can verify, find and edit several plain texts quickly.

## rpl 2.0.4

=== debian/changelog ===
rpl (2.0.4-1) unstable; urgency=medium

  * New upstream release.
  * Update debian/copyright.
  * Adjust lintian overrides.

 -- Patrick Matthäi <pmatthaei@debian.org>  Wed, 22 Oct 2025 09:45:05 +0200

=== debian/watch ===
version=4
opts= \
uversionmangle=s/~//;s/beta/~beta/;s/-pr/~pr/;s/rc/~rc/;s/alpha/~alpha/ \
https://github.com/rrthomas/rpl/tags .*/archive/refs/tags/v?@ANY_VERSION@@ARCHIVE_EXT@

## rpl pack-0.1.0

=== requirements.txt ===
# HTTP Requests
requests

# Numerical
numpy

# Plotting
matplotlib

# Testing
pytest

# Documentation
sphinx
sphinx-rtd-theme
sphinx-tabs
